<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4089
Name: Trauma Injury Observation Organizer
Description: Trauma Injury Observation Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4089-2017-02-01T000000">
   <title>Trauma Injury Observation Organizer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]
Item: (TraumaInjuryObservationOrganizer)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]"
         id="d19e3342-false-d31788e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@classCode)=('CLUSTER')">(TraumaInjuryObservationOrganizer): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@moodCode)=('EVN')">(TraumaInjuryObservationOrganizer): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4089'])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4089'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4089'])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:templateId[@root='1.2.276.0.76.10.4089'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:statusCode[@code='completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:statusCode[@code='completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]])&gt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="count(hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]])&lt;=1">(TraumaInjuryObservationOrganizer): Element hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:templateId[@root='1.2.276.0.76.10.4089']
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:templateId[@root='1.2.276.0.76.10.4089']"
         id="d19e3348-false-d31865e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaInjuryObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4089')">(TraumaInjuryObservationOrganizer): Der Wert von @root MUSS '1.2.276.0.76.10.4089' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:statusCode[@code='completed']
Item: (TraumaInjuryObservationOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:statusCode[@code='completed']"
         id="d19e3353-false-d31881e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TraumaInjuryObservationOrganizer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="@nullFlavor or (@code='completed')">(TraumaInjuryObservationOrganizer): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4092']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4168']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4089
Context: *[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]
Item: (TraumaInjuryObservationOrganizer)
-->
   <rule context="*[hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]]/hl7:organizer[@classCode='CLUSTER'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4089']]/hl7:component[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4167']]]">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@typeCode)=('COMP')">(TraumaInjuryObservationOrganizer): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180323T203405/tmp-1.2.276.0.76.10.4089-2017-02-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(TraumaInjuryObservationOrganizer): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
